Name:           perl-Panotools-Script
Version:        0.29
Release:        14%{?dist}
Summary:        Library for manipulating Hugin .pto files
License:        GPLv2+
URL:            https://metacpan.org/release/Panotools-Script
Source0:        https://cpan.metacpan.org/authors/id/B/BP/BPOSTLE/Panotools-Script-%{version}.tar.gz
Source1:        panotools-script.png
BuildArch:      noarch
BuildRequires: make
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(LWP::UserAgent) >= 5
BuildRequires:  perl(URI) >= 1
BuildRequires:  perl(Image::Size) >= 2.9
BuildRequires:  perl(Image::ExifTool) >= 6
BuildRequires:  perl(Math::Trig)
Requires:       perl(LWP::UserAgent) >= 5
Requires:       perl(URI) >= 1
Requires:       perl(Image::Size) >= 2.9
Requires:       perl(Image::ExifTool) >= 9.07
Requires:       perl(Math::Trig)
# added manually
Requires:       hugin-base libpano13-tools ImageMagick enblend zenity autotrace
BuildRequires:  perl(Test::More) desktop-file-utils

%description
Library and utilities for manipulating project files created by the Hugin photo
stitching software.

%prep
%setup -q -n Panotools-Script-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# added manually
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps
%{__install} -m0644 %{SOURCE1} %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/
sed -i 's/hugin.png/panotools-script.png/' desktop/*.desktop
desktop-file-install --vendor="" \
  --dir=%{buildroot}/%{_datadir}/applications desktop/*.desktop

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*
# added manually
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/panotools-script.png
%{_mandir}/man1/*

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.29-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.29-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.29-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Jitka Plesnikova <jplesnik@redhat.com> - 0.29-11
- Perl 5.36 rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.29-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.29-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.29-8
- Perl 5.34 rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.29-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.29-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.29-5
- Perl 5.32 rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.29-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.29-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.29-2
- Perl 5.30 rebuild

* Sat May 11 2019 Bruno Postle <bruno@postle.net> - 0.29-1
- Upstream release

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.28-14
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.28-11
- Perl 5.26 rebuild

* Mon May 22 2017 Petr Pisar <ppisar@redhat.com> - 0.28-10
- Restore compatibility with Perl 5.26.0 (CPAN RT#117275)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.28-8
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul 16 2015 Bruno Postle <bruno@postle.net> - 0.28-6
- require perl(Math::Trig)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.28-4
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.28-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 0.27-4
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Bruno Postle - 0.27-1
- upstream release

* Fri Jun 15 2012 Petr Pisar <ppisar@redhat.com> - 0.26-5
- Perl 5.16 rebuild

* Tue Jan 31 2012 Bruno Postle - 0.26-4
- rebuild without ptograph

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.26-2
- Perl mass rebuild

* Tue Jun 14 2011 Bruno Postle - 0.26-1
- rebuild for upstream release (0.26)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 12 2011 Bruno Postle - 0.25-1
- rebuild for upstream release (0.25)

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.24-4
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.24-3
- Mass rebuild with perl-5.12.0

* Sat Jan 02 2010 Bruno Postle <bruno@postle.net> 0.24-2
- New upstream version

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.22-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 24 2009 Bruno Postle <bruno@postle.net> 0.22-1
- New upstream version

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 19 2008 Bruno Postle <bruno@postle.net> 0.19-1
- New upstream version

* Thu Sep 11 2008 Bruno Postle <bruno@postle.net> 0.17-1
- New upstream version

* Tue Sep 02 2008 Bruno Postle <bruno@postle.net> 0.16-1
- New upstream version

* Sun Jul 06 2008 Bruno Postle <bruno@postle.net> 0.15-1
- New upstream version

* Thu Jun 12 2008 Bruno Postle <bruno@postle.net> 0.14-2
- Changes suggested by package review

* Mon Jun 09 2008 Bruno Postle <bruno@postle.net> 0.14-1
- Specfile autogenerated by cpanspec 1.75.
